<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/view_top_bg"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        app:layout_constraintBottom_toBottomOf="@+id/top_logo_help_line"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:visibility="gone"
        android:id="@+id/view_divide_line2"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintBottom_toBottomOf="@+id/view_top_bg"
        android:background="@color/color_f9f9f9"
        android:layout_width="match_parent"
        android:layout_height="1dp"/>

    <View
        android:id="@+id/view_status_bar"
        android:layout_width="match_parent"
        android:layout_height="1px"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_logo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:src="@drawable/icon_home_top_logo"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />

    <View
        android:id="@+id/top_logo_help_line"
        android:layout_width="1px"
        android:layout_height="1px"
        android:layout_marginTop="10dp"
        android:orientation="horizontal"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_logo" />

    <View
        android:id="@+id/view_search_bg"
        android:layout_width="0dp"
        android:layout_height="30dp"
        android:layout_marginStart="17dp"
        android:layout_marginEnd="9dp"
        android:background="@drawable/shape_f6f6f6_17dp"
        app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
        app:layout_constraintLeft_toRightOf="@+id/iv_logo"
        app:layout_constraintRight_toLeftOf="@+id/iv_scan"
        app:layout_constraintTop_toTopOf="@+id/iv_logo" />

    <ImageView
        android:id="@+id/iv_search_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="17dp"
        android:src="@drawable/icon_home_search"
        app:layout_constraintBottom_toBottomOf="@+id/view_search_bg"
        app:layout_constraintLeft_toLeftOf="@+id/view_search_bg"
        app:layout_constraintTop_toTopOf="@+id/view_search_bg" />


    <TextView
        android:id="@+id/tv_search_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingStart="16dp"
        android:text="搜索你喜欢的内容"
        android:textColor="@color/color_cccccc"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/iv_search_icon"
        app:layout_constraintLeft_toRightOf="@+id/iv_search_icon"
        app:layout_constraintTop_toTopOf="@+id/iv_search_icon" />

    <ImageView
        android:id="@+id/iv_scan"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="8dp"
        android:src="@drawable/icon_scan"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
        app:layout_constraintRight_toLeftOf="@+id/im_message"
        app:layout_constraintTop_toTopOf="@+id/iv_logo" />

    <ImageView
        android:id="@+id/im_message"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="@dimen/dp_14"
        android:padding="8dp"
        android:src="@drawable/icon_top_message"
        app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/iv_logo" />

    <View
        android:id="@+id/view_unread_message"
        android:layout_width="@dimen/dp_7"
        android:layout_height="@dimen/dp_7"
        android:layout_marginTop="5dp"
        android:layout_marginRight="5dp"
        android:background="@drawable/bg_red_ovil"
        android:visibility="gone"
        app:layout_constraintRight_toRightOf="@+id/im_message"
        app:layout_constraintTop_toTopOf="@+id/im_message"
        tools:visibility="visible" />

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_top_bg"
        app:srlEnableLoadMore="false">

        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.google.android.material.appbar.AppBarLayout
                android:id="@+id/app_bar_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/transparent"
                android:theme="@style/AppTheme.AppBarOverlay">

                <com.google.android.material.appbar.CollapsingToolbarLayout
                    android:id="@+id/collapsing_toolbar_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="22dp"
                    android:paddingBottom="0dp"
                    app:layout_scrollFlags="scroll"
                    app:scrimAnimationDuration="50"
                    app:titleEnabled="false">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <View
                            android:id="@+id/view_bg_header"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:background="@drawable/shape_bottom_18dp_white"
                            app:layout_constraintBottom_toBottomOf="@+id/view_line2"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.youth.banner.Banner
                            android:id="@+id/banner"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp_132"
                            android:layout_marginLeft="@dimen/dp_14"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_14"
                            android:descendantFocusability="blocksDescendants"
                            app:banner_indicator_gravity="right"
                            app:banner_indicator_height="5dp"
                            app:banner_indicator_marginBottom="8dp"
                            app:banner_indicator_marginRight="12dp"
                            app:banner_indicator_normal_color="@color/white"
                            app:banner_indicator_normal_width="5dp"
                            app:banner_indicator_selected_color="@color/white"
                            app:banner_indicator_selected_width="12dp"
                            app:banner_radius="10dp"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />


                        <androidx.cardview.widget.CardView
                            android:id="@+id/bg_announcement"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="14dp"
                            android:layout_marginTop="@dimen/dp_12"
                            android:layout_marginEnd="14dp"
                            android:visibility="gone"
                            app:cardBackgroundColor="@color/color_fef9f4"
                            app:cardCornerRadius="10dp"
                            app:cardElevation="0dp"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/banner">

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <ImageView
                                    android:id="@+id/iv_bell"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="6dp"
                                    android:src="@drawable/icon_home_bell"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintLeft_toLeftOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />

                                <TextView
                                    android:id="@+id/tv_notice_content"
                                    android:layout_width="wrap_content"
                                    android:layout_height="44dp"
                                    android:layout_marginStart="7dp"
                                    android:gravity="center"
                                    android:includeFontPadding="false"
                                    android:textColor="@color/color_1a1a1a"
                                    android:textSize="@dimen/sp_14"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintLeft_toRightOf="@+id/iv_bell"
                                    app:layout_constraintTop_toTopOf="parent"
                                    tools:text="网络教室升级公告" />

                                <ImageView
                                    android:id="@+id/im_notice_list"
                                    android:layout_width="@dimen/dp_38"
                                    android:layout_height="@dimen/dp_38"
                                    android:layout_marginRight="@dimen/dp_1"
                                    android:padding="@dimen/dp_10"
                                    android:src="@drawable/icon_arrow_right_bg_tran"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintRight_toRightOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />
                            </androidx.constraintlayout.widget.ConstraintLayout>
                        </androidx.cardview.widget.CardView>

                        <androidx.viewpager.widget.ViewPager
                            android:id="@+id/viewpager_menu"
                            android:minHeight="67dp"
                            android:layout_width="match_parent"
                            android:layout_height="67dp"
                            android:layout_marginTop="@dimen/dp_8"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/bg_announcement" />

                        <View
                            app:layout_goneMarginTop="21dp"
                            android:id="@+id/view_line2"
                            android:layout_width="1px"
                            android:layout_height="1px"
                            android:layout_marginTop="14dp"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/bg_announcement2" />


                        <androidx.cardview.widget.CardView
                            android:id="@+id/bg_announcement2"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="14dp"
                            android:layout_marginTop="@dimen/dp_21"
                            android:layout_marginEnd="14dp"
                            android:visibility="gone"
                            app:cardBackgroundColor="@color/color_fef9f4"
                            app:cardCornerRadius="10dp"
                            app:cardElevation="0dp"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/viewpager_menu">

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <ImageView
                                    android:id="@+id/iv_bell2"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="6dp"
                                    android:src="@drawable/icon_home_bell"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintLeft_toLeftOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />

                                <TextView
                                    android:id="@+id/tv_notice_content2"
                                    android:layout_width="wrap_content"
                                    android:layout_height="44dp"
                                    android:layout_marginStart="7dp"
                                    android:gravity="center"
                                    android:includeFontPadding="false"
                                    android:textColor="@color/color_1a1a1a"
                                    android:textSize="@dimen/sp_14"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintLeft_toRightOf="@+id/iv_bell2"
                                    app:layout_constraintTop_toTopOf="parent"
                                    tools:text="网络教室升级公告" />

                                <ImageView
                                    android:id="@+id/im_notice_list2"
                                    android:layout_width="@dimen/dp_38"
                                    android:layout_height="@dimen/dp_38"
                                    android:layout_marginRight="@dimen/dp_1"
                                    android:padding="@dimen/dp_10"
                                    android:src="@drawable/icon_calendar_next_month"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintRight_toRightOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />
                            </androidx.constraintlayout.widget.ConstraintLayout>
                        </androidx.cardview.widget.CardView>


                        <androidx.cardview.widget.CardView
                            android:id="@+id/fl_course_enter"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="14dp"
                            android:layout_marginTop="24dp"
                            android:layout_marginEnd="14dp"
                            android:visibility="gone"
                            app:cardBackgroundColor="@color/white"
                            app:cardCornerRadius="10dp"
                            app:cardElevation="0dp"
                            app:cardPreventCornerOverlap="true"
                            app:cardUseCompatPadding="false"
                            app:layout_constraintTop_toBottomOf="@+id/view_bg_header">

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="match_parent"
                                android:layout_height="70dp">

                                <TextView
                                    android:id="@+id/tv_live_title"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="128dp"
                                    android:includeFontPadding="false"
                                    android:text="您有新课程即将开始"
                                    android:textColor="@color/color_1a1a1a"
                                    android:textSize="@dimen/sp_16"
                                    app:layout_constraintBottom_toTopOf="@+id/alarm_icon"
                                    app:layout_constraintLeft_toLeftOf="parent"
                                    app:layout_constraintTop_toTopOf="parent"
                                    app:layout_constraintVertical_chainStyle="packed" />

                                <ImageView
                                    android:id="@+id/alarm_icon"
                                    android:layout_width="@dimen/dp_15"
                                    android:layout_height="@dimen/dp_15"
                                    android:layout_marginTop="10dp"
                                    android:src="@drawable/small_alarm_clock"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintLeft_toLeftOf="@+id/tv_live_title"
                                    app:layout_constraintTop_toBottomOf="@+id/tv_live_title" />


                                <TextView
                                    android:id="@+id/tv_live_time"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_1"
                                    android:layout_marginBottom="@dimen/dp_5"
                                    android:paddingStart="5dp"
                                    android:textColor="@color/color_FF806F"
                                    android:textSize="@dimen/sp_13"
                                    app:layout_constraintBottom_toBottomOf="@+id/alarm_icon"
                                    app:layout_constraintLeft_toRightOf="@+id/alarm_icon"
                                    app:layout_constraintTop_toTopOf="@+id/alarm_icon"
                                    tools:text="今日 16:30-17:05" />


                                <ImageView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="11dp"
                                    android:src="@drawable/icon_arrow_right_bg_tran"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintRight_toRightOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />


                            </androidx.constraintlayout.widget.ConstraintLayout>
                        </androidx.cardview.widget.CardView>

                        <com.airbnb.lottie.LottieAnimationView
                            android:id="@+id/iv_course_enter_anim"
                            android:layout_width="128dp"
                            android:layout_height="91dp"
                            android:visibility="gone"
                            app:layout_constraintBottom_toBottomOf="@+id/fl_course_enter"
                            app:layout_constraintLeft_toLeftOf="@+id/fl_course_enter"
                            app:lottie_autoPlay="true"
                            app:lottie_loop="true" />


                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_hot_album"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_30"
                            android:visibility="gone"
                            app:layout_constraintTop_toBottomOf="@+id/fl_course_enter">

                            <View
                                android:id="@+id/tv_hot_album_line"
                                android:layout_width="4dp"
                                android:layout_height="17dp"
                                android:layout_marginStart="14dp"
                                android:background="@drawable/shape_course_title_tag_bg"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_hot_album"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_hot_album" />

                            <TextView
                                android:id="@+id/tv_hot_album"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/dp_6"
                                android:gravity="center"
                                android:text="热门专辑"
                                android:textColor="@color/color_333333"
                                android:textSize="@dimen/sp_18"
                                android:textStyle="bold"
                                app:layout_constraintLeft_toRightOf="@+id/tv_hot_album_line"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_hot_album_more"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginRight="@dimen/dp_14"
                                android:background="@drawable/shape_f2f2f2_9dp"
                                android:drawableEnd="@drawable/icon_next_right"
                                android:drawablePadding="1dp"
                                android:gravity="center"
                                android:paddingStart="7dp"
                                android:paddingTop="2dp"
                                android:paddingEnd="3dp"
                                android:paddingBottom="2dp"
                                android:text="更多"
                                android:textColor="@color/color_999999"
                                android:textSize="@dimen/sp_12"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_hot_album"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_hot_album" />

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rv_hot_album"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="12dp"
                                android:overScrollMode="never"
                                android:paddingLeft="@dimen/dp_14"
                                android:scrollbars="none"
                                app:layout_constraintTop_toBottomOf="@+id/tv_hot_album" />

                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_hot_track"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_30"
                            android:visibility="gone"
                            app:layout_constraintTop_toBottomOf="@+id/cl_hot_album">

                            <View
                                android:id="@+id/tv_hot_track_line"
                                android:layout_width="4dp"
                                android:layout_height="17dp"
                                android:layout_marginStart="14dp"
                                android:background="@drawable/shape_course_title_tag_bg"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_hot_track"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_hot_track" />

                            <TextView
                                android:id="@+id/tv_hot_track"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/dp_6"
                                android:gravity="center"
                                android:text="热门曲目"
                                android:textColor="@color/color_333333"
                                android:textSize="@dimen/sp_18"
                                android:textStyle="bold"
                                app:layout_constraintLeft_toRightOf="@+id/tv_hot_track_line"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_hot_track_more"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginRight="@dimen/dp_14"
                                android:background="@drawable/shape_f2f2f2_9dp"
                                android:drawableEnd="@drawable/icon_next_right"
                                android:drawablePadding="1dp"
                                android:gravity="center"
                                android:paddingStart="7dp"
                                android:paddingTop="2dp"
                                android:paddingEnd="3dp"
                                android:paddingBottom="2dp"
                                android:text="更多"
                                android:textColor="@color/color_999999"
                                android:textSize="@dimen/sp_12"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_hot_track"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_hot_track" />

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rv_hot_track"
                                android:layout_width="match_parent"
                                android:layout_height="239dp"
                                android:layout_marginTop="12dp"
                                android:overScrollMode="never"
                                android:paddingLeft="@dimen/dp_14"
                                android:scrollbars="none"
                                app:layout_constraintTop_toBottomOf="@+id/tv_hot_track" />

                        </androidx.constraintlayout.widget.ConstraintLayout>


                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cs_recommend_talent"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_30"
                            android:visibility="gone"
                            app:layout_constraintTop_toBottomOf="@+id/cl_hot_track">

                            <View
                                android:id="@+id/tv_recommend_teacher_line"
                                android:layout_width="4dp"
                                android:layout_height="17dp"
                                android:layout_marginStart="14dp"
                                android:background="@drawable/shape_course_title_tag_bg"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_recommend_teacher_title"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_recommend_teacher_title" />

                            <TextView
                                android:id="@+id/tv_recommend_teacher_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/dp_6"
                                android:gravity="center"
                                android:text="推荐达人"
                                android:textColor="@color/color_333333"
                                android:textSize="@dimen/sp_18"
                                android:textStyle="bold"
                                app:layout_constraintLeft_toRightOf="@+id/tv_recommend_teacher_line"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_recommend_teacher_more"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginRight="@dimen/dp_14"
                                android:background="@drawable/shape_f2f2f2_9dp"
                                android:drawableEnd="@drawable/icon_next_right"
                                android:drawablePadding="1dp"
                                android:gravity="center"
                                android:paddingStart="7dp"
                                android:paddingTop="2dp"
                                android:paddingEnd="3dp"
                                android:paddingBottom="2dp"
                                android:text="更多"
                                android:textColor="@color/color_999999"
                                android:textSize="@dimen/sp_12"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_recommend_teacher_title"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_recommend_teacher_title" />

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/recyclerview_recommend_talent"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="12dp"
                                android:overScrollMode="never"
                                android:paddingLeft="@dimen/dp_14"
                                android:scrollbars="none"
                                app:layout_constraintTop_toBottomOf="@+id/tv_recommend_teacher_title" />

                        </androidx.constraintlayout.widget.ConstraintLayout>


                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_video_course"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_30"
                            android:visibility="visible"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/cs_recommend_talent">

                            <View
                                android:id="@+id/tv_video_course_line"
                                android:layout_width="4dp"
                                android:layout_height="17dp"
                                android:layout_marginStart="14dp"
                                android:background="@drawable/shape_course_title_tag_bg"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_video_course_title"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_video_course_title" />

                            <TextView
                                android:id="@+id/tv_video_course_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/dp_6"
                                android:gravity="center"
                                android:text="精品视频课"
                                android:textColor="@color/color_333333"
                                android:textSize="@dimen/sp_16"
                                android:textStyle="bold"
                                app:layout_constraintLeft_toRightOf="@+id/tv_video_course_line"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_video_course_more"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginRight="@dimen/dp_20"
                                android:background="@drawable/shape_f2f2f2_9dp"
                                android:drawableEnd="@drawable/icon_next_right"
                                android:drawablePadding="1dp"
                                android:gravity="center"
                                android:paddingStart="7dp"
                                android:paddingTop="2dp"
                                android:paddingEnd="3dp"
                                android:paddingBottom="2dp"
                                android:text="更多"
                                android:textColor="@color/color_999999"
                                android:textSize="@dimen/sp_12"
                                app:layout_constraintBottom_toBottomOf="@+id/tv_video_course_title"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="@+id/tv_video_course_title" />


                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rv_video_course"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:paddingStart="14dp"
                                android:overScrollMode="never"
                                android:scrollbars="none"
                                app:layout_constraintTop_toBottomOf="@+id/tv_video_course_title" />

                        </androidx.constraintlayout.widget.ConstraintLayout>
                    </androidx.constraintlayout.widget.ConstraintLayout>
                </com.google.android.material.appbar.CollapsingToolbarLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cs_bottom_tab"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingTop="8dp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/cl_video_course">

                    <View
                        android:id="@+id/view_talent_style_news"
                        android:layout_width="63dp"
                        android:layout_height="12dp"
                        android:layout_marginTop="13dp"
                        android:background="@drawable/shape_2dc7aa_6dp"
                        app:layout_constraintLeft_toLeftOf="@+id/tv_talent_style_title"
                        app:layout_constraintRight_toRightOf="@+id/tv_talent_style_title"
                        app:layout_constraintTop_toTopOf="@+id/tv_talent_style_title" />

                    <TextView
                        android:id="@+id/tv_talent_style_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="24dp"
                        android:includeFontPadding="false"
                        android:text="达人风采"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_18"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />


                    <View
                        android:id="@+id/view_tab_hot_news"
                        android:layout_width="63dp"
                        android:layout_height="12dp"
                        android:layout_marginTop="13dp"
                        android:background="@drawable/shape_2dc7aa_6dp"
                        android:visibility="gone"
                        app:layout_constraintLeft_toLeftOf="@+id/tv_hot_news_title"
                        app:layout_constraintRight_toRightOf="@+id/tv_hot_news_title"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_news_title" />

                    <TextView
                        android:id="@+id/tv_hot_news_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="36dp"
                        android:includeFontPadding="false"
                        android:text="热门资讯"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_18"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_talent_style_title"
                        app:layout_constraintLeft_toRightOf="@+id/tv_talent_style_title"
                        app:layout_constraintTop_toTopOf="@+id/tv_talent_style_title" />

                    <View
                        android:id="@+id/view_help_line2"
                        android:layout_width="1px"
                        android:layout_height="1px"
                        app:layout_constraintLeft_toRightOf="@+id/tv_talent_style_title"
                        app:layout_constraintRight_toLeftOf="@+id/tv_hot_news_title"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_news_title" />

                    <View
                        android:id="@+id/view_talent_style_click"
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        app:layout_constraintBottom_toTopOf="@+id/view_help_line3"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="@+id/view_help_line2"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:id="@+id/view_hot_news_click"
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        app:layout_constraintBottom_toTopOf="@+id/view_help_line3"
                        app:layout_constraintLeft_toLeftOf="@+id/view_help_line2"
                        app:layout_constraintRight_toRightOf="@+id/tv_hot_news_title"
                        app:layout_constraintTop_toTopOf="parent" />


                    <View
                        android:id="@+id/view_help_line3"
                        android:layout_width="1px"
                        android:layout_height="1px"
                        android:layout_marginTop="10dp"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/tv_talent_style_title" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </com.google.android.material.appbar.AppBarLayout>

            <androidx.viewpager.widget.ViewPager
                android:id="@+id/view_pager_bottom"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none"
                android:visibility="visible"
                app:layout_behavior="@string/appbar_scrolling_view_behavior"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_talent_style_title" />
        </androidx.coordinatorlayout.widget.CoordinatorLayout>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</androidx.constraintlayout.widget.ConstraintLayout>